#include <string.h>
#include <assert.h>
#include "html_wrapper.h"

HtmlParserPtr InitHtmlParser()
{
	HtmlParserPtr parser_ptr = htmlCreatePushParserCtxt(NULL, NULL, NULL, 0, NULL, 0);
	assert(parser_ptr != NULL);

	htmlCtxtUseOptions(parser_ptr, HTML_PARSE_NOBLANKS | HTML_PARSE_NOERROR | HTML_PARSE_NOWARNING | HTML_PARSE_NONET);

	return parser_ptr;
}

int SetBufferToProcess(const HtmlParserPtr parser_ptr, const char * buffer)
{
	return (htmlParseChunk(parser_ptr, buffer, strlen(buffer), 1) == 0);
}

void CloseHtmlParser(HtmlParserPtr parser_ptr)
{
	htmlFreeParserCtxt(parser_ptr);
}