#ifndef ImaSpider_html_wrapper_h
#define ImaSpider_html_wrapper_h

#include <libxml/HTMLparser.h>

// simple typedef to avoid complex name types
typedef htmlParserCtxtPtr HtmlParserPtr;

/* Initialisation of the environment required to parse HTML files
 * Returns a pointer to the parser (pointer is NULL if something went wrong)
 */
HtmlParserPtr 	InitHtmlParser();

/* Specifies which page will be parsed
 *  parser_ptr is a valid pointer to a html parser (should have been set by InitHtmlParser)
 * Returns 	1 if everything went OK
 *		0 is something went wrong
 */ 
int SetBufferToProcess(const HtmlParserPtr parser_ptr, const char * buffer);

/* Cleans and closes the parser
 *  parser_ptr is a valid pointer to a html parser
 */ 
void CloseHtmlParser(HtmlParserPtr parser_ptr);

#endif
