#include "curl_wrapper.h"
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#ifdef DEBUG
#include <assert.h>
#endif

const int BUFFER_SIZE = 256;

void usage(const char * exec)
{
	printf("----------------------------------------\n");
	printf("Usage: %s url1 (url2 ... urln)\n", exec);
	printf("----------------------------------------\n");
}

int main(int argc, char * argv[] )
{
  	if(argc < 2)
  	{
  		usage(argv[0]);
  		return 0;
  	}

	if(!init_curl_wrapper())
		return -1;

	for(int i = 1; i < argc; i++)
	{
		char * page;
		char effective_url[BUFFER_SIZE];
		int page_size;

		if(!fetch_web_page(argv[i], &page, &page_size))
			return -1;

		if(is_latest_url_text_html())
			printf("%s is text/html\n", argv[i]);

		if(get_effective_url_from_latest_url(effective_url))
			printf("real address of %s is %s\n", argv[i], effective_url);

		// write only a small part of the html file / replace BUFFER_SIZE with
		// page_size to get the whole file
		write(0, page, BUFFER_SIZE); 
		printf("\n---------------------------------------\n");
	}

	if(!close_curl_wrapper())
		return -1;

	return 1;
}